---
metadata:
  - name: generator
    content: Diplodoc Platform v5.47.3
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/entities/search-entities.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt

# Getting a list of entities

Use this request to get a list of entities that meet specific criteria.

<div class="request_example method_post yfm-clipboard">
    <p>POST</p>
    <pre><code>https://api.tracker.yandex.net/v3/entities/&lt;entity_type>/_search?fields=entityStatus</code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/_assets/style/methods.md -->

<!-- endsource: en/_assets/style/methods.md -->

## Query format {#query}

Before making a request, [get permission to access the API](https://yandex.com.tr/support/tracker/en/api-ref/access.md).

To get a list of entities, use an HTTP `POST` request. In the request body, specify the parameters in JSON format.

```json
POST /v3/entities/<entity_type>/_search?fields=entityStatus
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>

{
   "filter":
   {
      "author": "<username>"
   }
}
```

<!-- source: en/_includes/api/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/_includes/api/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/_includes/api/authorization.md -->


* <!-- source: en/_includes/api/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Cloud Organization.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/_includes/api/org-id.md -->


{% endcut %}
<!-- endsource: en/_includes/api/headings.md -->

{% cut "Resource" %}

| Parameter | Description | Data type |
-------- | -------- | ----------
| \<entity_type> | Entity type:<ul><li>project</li><li>portfolio</li><li>goal</li></ul> | String |

{% endcut %}

{% cut "Request parameters" %}

**Additional parameters**

| Parameter | Description | Data type |
----- | ----- | -----
| [fields](about-entities.md#query-params) | Additional fields to include in the response | String |
| perPage | Number of issues per response page. The default value is 50. | Number |
| page | Page with search results. The default value is 1. | Number |

{% endcut %}

{% cut "Request body parameters" %}

The request body contains information required to search for entities:

**Additional parameters**

| Parameter | Description | Data type |
-------- | -------- | ----------
| input | Substring in the entity name | String |
| filter | Issue filtering parameters. The parameter can specify any field key and value for filtering. | Map item |
| orderBy | Issue sorting parameters. The parameter can specify any field key for sorting. | String |
| orderAsc | Sorting direction | Boolean |
| rootOnly | Output only entities that are not nested. | Boolean |

{% note warning "" %}

Entity field keys and value keys, e.g., statuses, sometimes differ from similar issue keys.

{% endnote %}

{% endcut %}

> Example 1: Getting a list of entities using a filter with an extended list of fields in search results
>
> - An HTTP POST method is used.
> - The response should only contain projects in progress with a non-empty list of followers.
> - The `Status`, `Reporter`, and `Followers` field values are displayed in the response.
>
> ```json
> POST /v3/entities/project/_search?fields=entityStatus,author,followers HTTP/1.1
> Host: api.tracker.yandex.net
> Authorization: OAuth <OAuth_token>
> X-Org-ID or X-Cloud-Org-ID: <organization_ID>
>
> {
>   "filter": {
>     "followers": "notEmpty()",
>     "entityStatus": "in_progress"
>   },
> }
> ```

> Example 2: Getting a sorted list of all entities
>
> - An HTTP POST method is used.
> - The response should contain all portfolios sorted by status.
> - The results are sorted in descending order.
> - The `Status` and `Reporter` field values are displayed in the response.
>
> ```json
> POST /v3/entities/project/_search?fields=entityStatus,author HTTP/1.1
> Host: api.tracker.yandex.net
> Authorization: OAuth <OAuth_token>
> X-Org-ID or X-Cloud-Org-ID: <organization_ID>
>
> {
>   "orderBy": "entityStatus",
>   "orderAsc":true
> }
> ```

## Response format {#answer}

{% list tabs %}

- Request executed successfully

   <!-- source: en/_includes/api/answer-200.md -->
   If the request is successful, the API returns a response with code `200 OK`.
   <!-- endsource: en/_includes/api/answer-200.md -->

   The response body contains the results in JSON format.

   ```json
   {
      "hits": 8,
      "pages": 1,
      "values": [
        {
            "self": "https://api.tracker.yandex.net/v3/entities/project/655f8ce5d6a39833********",
            "id": "655f8ce5d6a39833********",
            "version": 7,
            "shortId": 8,
            "entityType": "project",
            "createdBy": { "self": "https://api.tracker.yandex.net/v3/users/11********", "id": "11********", "display": "Full name", "cloudUid": "ajevuhegoggf********", "passportUid": 11******** },
            "createdAt": "2023-11-23T17:33:25.427+0000",
            "updatedAt": "2023-11-24T12:21:43.838+0000",
            "fields": {
                "entityStatus": "in_progress",
                "followers": [{ "self": "https://api.tracker.yandex.net/v3/users/22********", "id": "22********", "display": "Follower name", "cloudUid": "ajeprm0fjnql********", "passportUid": 22******** }]
            }
        },
        {
            "self": "https://api.tracker.yandex.net/v3/entities/project/655f3815a834c763********",
            "id": "655f3815a834c763********",
            "version": 4,
            "shortId": 3,
            "entityType": "project",
            "createdBy": { "self": "https://api.tracker.yandex.net/v3/users/11********", "id": "11********", "display": "Full name", "cloudUid": "ajevuhegoggf********", "passportUid": 11******** },
            "createdAt": "2023-11-23T11:31:33.874+0000",
            "updatedAt": "2023-11-23T21:52:10.863+0000",
            "fields": {
                "entityStatus": "draft",
                "followers": [{ "self": "https://api.tracker.yandex.net/v3/users/22********", "id": "22********", "display": "Follower name", "cloudUid": "ajeprm0fjnql********", "passportUid": 22******** }]
            }
        }
      ],
      "orderBy": "entityStatus"
   }
   ```

   {% cut "Response parameters" %}

   | Parameter | Description | Data type |
   -------- | -------- | ----------
   | hits | Number of search results | Number |
   | pages | Number of pages with search results | Number |
   | values | Results Entity objects | Array of objects |

   **Entity object fields**

   <!-- source: en/_includes/api/entity.md -->
   | Parameter | Description | Data type |
   -------- | -------- | ----------
   | self | Address of the API resource with information about the entity | String |
   | id | Entity ID | String |
   | version | Entity version. Each change of the parameters increases the version number. <br>Entity edits will be disabled if the version number reaches the threshold value of `10100` (for robots) or `11100` (for users) | Number |
   | shortId | Numeric ID of the entity | Number |
   | entityType | Entity type | String |
   | createdBy | Block with information about the entity creator | Map object |
   | createdAt | Entity creation date in `YYYY-MM-DDThh:mm:ss.sss±hhmm` format | String |
   | updatedAt | Date when the entity was last updated, in `YYYY-MM-DDThh:mm:ss.sss±hhmm` format | String |
   | [fields](about-entities.md#query-params) | Block with additional entity fields | Map object |
   <!-- endsource: en/_includes/api/entity.md -->

   `createdBy` **object fields**

   <!-- source: en/_includes/api/user.md -->
   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the user | String |
   | id | User ID. | String |
   | display | Displayed user name | String |
   | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
   | cloudUid | Unique user ID in Yandex Cloud Organization | String |
   <!-- endsource: en/_includes/api/user.md -->

   {% endcut %}

- Request failed

   If the request is processed incorrectly, the API returns a response with an error code:

   <!-- source: en/_includes/api/answer-error-400.md -->
   400
   :   One or more request parameters have an invalid value.
   <!-- endsource: en/_includes/api/answer-error-400.md -->

   <!-- source: en/_includes/api/answer-error-401.md -->
   401
   :   The user is not authorized. Make sure that actions described in the [API access](https://yandex.com.tr/support/tracker/en/api-ref/access.md) section are performed.
   <!-- endsource: en/_includes/api/answer-error-401.md -->

   <!-- source: en/_includes/api/answer-error-403.md -->
   403
   :   You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
   <!-- endsource: en/_includes/api/answer-error-403.md -->

   <!-- source: en/_includes/api/answer-error-404.md -->
   404
   :   The requested object was not found. You may have specified an invalid object ID or key.
   <!-- endsource: en/_includes/api/answer-error-404.md -->

{% endlist %}
